%define ver	0.5.8
%define prefix 	/usr
%define release 1mdk

Name: 		dgs
Version: 	%{ver}
Release: 	%{release}
Source: 	ftp://ftp.gnustep.org/pub/gnustep/dgs/dgs-%{ver}.tar.bz2
Copyright: 	GPL
Group: 		Applications/Publishing
Summary: 	Display Postscript server
BuildRoot: 	/var/tmp/build-%{name}
Requires:       glib >= 1.2.2

%description
DGS is an extenstion of ghostscript that implements display postscript (DPS).
%{_buildblurb}

%package libs
Summary: DGS runtime libraries.
Group: System Environment/Libraries

%description libs
Runtime libraries used by DGS.
%{_buildblurb}

%package devel
Summary: Required for doing DGS development.
Group: Development/Libraries
Requires: %{name} = %{version}

%description devel
Header files and static libraries required to develop applications that 
use DGS.
%{_buildblurb}

%prep
%setup -q

%build
CFLAGS="$RPM_OPT_FLAGS" CXXFLAGS="$RPM_OPTS_FLAGS" ./configure \
	--prefix=%{prefix} --enable-shared
make  -j 2 CFLAGS_STANDARD="$RPM_OPT_FLAGS"

%install
rm -rf $RPM_BUILD_ROOT

make install-strip prefix=${RPM_BUILD_ROOT}%{prefix}
mv $RPM_BUILD_ROOT/usr/man/man1/gs.1 $RPM_BUILD_ROOT/usr/man/man1/dgs.1
bzip2 -9 $RPM_BUILD_ROOT/usr/man/man1/dgs.1
strip $RPM_BUILD_ROOT/usr/bin/dgs

%ifos Linux
%post -p /sbin/ldconfig
%postun -p /sbin/ldconfig
%endif

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc ANNOUNCE ChangeLog FAQ INSTALL NEWS NOTES README STATUS TODO
/usr/bin/dgs
/usr/bin/dpsexec
/usr/bin/dpsnx.agent
/usr/bin/dvipdf
/usr/bin/makepsres
/usr/bin/pswrap
/usr/bin/texteroids
/usr/bin/xepsf
/usr/lib/lib*.so.*
/usr/man/man1/dgs.1.bz2
/usr/man/manm/dpsexec.man
/usr/man/manm/makepsres.man
/usr/man/manm/xepsf.man
/usr/share/ghostscript

%files devel
%defattr(-,root,root)
/usr/include/DPS
/usr/lib/lib*.a
/usr/lib/lib*.la
/usr/lib/lib*.so

%changelog
* Thu Jan 20 2000 Lenny Cartier <lenny@mandrakesoft.com>
- new in contribs
- used srpm provided by Dara Hazeghi <dhazeghi@pacbell.net>

* Mon Jan 10 2000 Dara Hazeghi <dhazeghi@pacbell.net>
- updates for Mandrake

* Mon Sep 20 1999 Christopher Seawood <cls@seawood.org>
- updated to released 0.5.8

* Sat Sep 18 1999 Christopher Seawood <cls@seawood.org>
- updated cvs snapshot (post 0.5.7)
- added requirement for glib

* Mon Jul 26 1999 Christopher Seawood <cls@seawood.org>
- updated cvs snapshot (post 0.5.7)

* Fri Jun 25 1999 Christopher Seawood <cls@seawood.org>
- updated to cvs snapshot (post 0.5.7)
- split into main & devel packages
- Added RHCN tags

* Thu Mar 12 1998 Christopher Seawood <cls@seawood.org>
- updated to 0.5.0
- changed prefix to /usr so we can install dgs before gstep-core

* Wed Feb 18 1998 Christopher Seawood <cls@seawood.org>

- updated to work with gnustep-980215 releases
- changed spec file format to be less ix86 specific

* Mon Nov 03 1997 Christopher Seawood <cls@seawood.org>

- built against gnustep-{base,make}-971102. Changed Makfile.in & gs/unix-gcc.mak  so that fonts would be installed under %{prefix}/Libraries/share instead
  of the libdir
 
